org.eclipse.viatra.transformation.evm.notification

## Interface IActivationNotificationProvider

- All Known Implementing Classes:
    ActivationNotificationProvider, RuleInstance

      public interface IActivationNotificationProvider

  This interface is used for providing an internal activation notification mechanism. Listeners added to the implemented provider should be notified when an activation change occurs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addActivationNotificationListener(IActivationNotificationListener listener, boolean fireNow)` Registers an `IActivationNotificationListener` to receive updates on activation appearance and disappearance.
    `boolean` | `removeActivationNotificationListener(IActivationNotificationListener listener)` Unregisters a listener registered by `addActivationNotificationListener(IActivationNotificationListener, boolean)`.

- - ### Method Detail

    - #### addActivationNotificationListener

          boolean addActivationNotificationListener(IActivationNotificationListener listener,
                                                    boolean fireNow)

      Registers an `IActivationNotificationListener` to receive updates on activation appearance and disappearance.

      The listener can be unregistered via `removeActivationNotificationListener(IActivationNotificationListener)`.

      Parameters:
        `fireNow` - if true, listener will be immediately invoked on all current activations as a one-time effect.
        `listener` - the listener that will be notified of each new activation that appears or disappears, starting from now.

    - #### removeActivationNotificationListener

          boolean removeActivationNotificationListener(IActivationNotificationListener listener)

      Unregisters a listener registered by `addActivationNotificationListener(IActivationNotificationListener, boolean)`.
      Parameters:
        `listener` - the listener that will no longer be notified.